- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# FbxCharacterLink Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class represents a link between a given FBX node and the associated node in the character hierarchy.

It also contains the transform matrix (offset) for the linked character's node.

Examples:

  ImportScene/DisplayPose.cxx.

Definition at line 36 of file fbxcharacter.h.

`#include <fbxcharacter.h>`

List of all members.

## Public Types
enum | EType { eCharacterLink, eControlSetLink, eControlSetEffector, eControlSetEffectorAux }
| Character link type. More...
## Public Member Functions
| FbxCharacterLink ()
| Default Constructor.
| FbxCharacterLink (const FbxCharacterLink &pCharacterLink)
| Copy Constructor.
FbxCharacterLink & | operator= (const FbxCharacterLink &pCharacterLink)
| Assignment operation.
void | Reset ()
| Reset to default values.
## Public Attributes
FbxNode * | mNode
FbxString | mTemplateName
| The character's node in hierarchy linked to this character link.
FbxVector4 | mOffsetT
| A template name is a naming convention that is used to automatically map the nodes of other skeletons that use the same naming convention.
FbxVector4 | mOffsetR
| Get offset position of this character link.
FbxVector4 | mOffsetS
| Get offset rotation of this character link.
FbxVector4 | mParentROffset
| Get offset scale of this character link.
bool | mHasRotSpace
| Get the parent offset rotation of this character link.
FbxLimits | mRLimits
| `true` if this character link has a defined rotation space
FbxVector4 | mPreRotation
| Get the rotation limits of this character link.
FbxVector4 | mPostRotation
| Get the PreRotation of this character link.
int | mRotOrder
| Get the PostRotation of this character link.
double | mAxisLen
| Get the rotation order of this character link.
FbxProperty | mPropertyLink
| Get the axis length of this character link.
FbxProperty | mPropertyOffsetT
FbxProperty | mPropertyOffsetR
FbxProperty | mPropertyOffsetS
FbxProperty | mPropertyParentOffsetR
FbxProperty | mPropertyTemplateName

## Member Enumeration Documentation

enum EType

Search for all occurrences

Character link type.

Enumerator:

  eCharacterLink | Search for all occurrences
  eControlSetLink | Search for all occurrences
  eControlSetEffector | Search for all occurrences
  eControlSetEffectorAux | Search for all occurrences

Definition at line 40 of file fbxcharacter.h.

        {
            eCharacterLink,
            eControlSetLink,
            eControlSetEffector,
            eControlSetEffectorAux
        };

## Constructor & Destructor Documentation

FbxCharacterLink | ( |  | ) |

Default Constructor.

FbxCharacterLink | ( | const FbxCharacterLink & | pCharacterLink | ) |

Copy Constructor.

## Member Function Documentation

FbxCharacterLink& operator= | ( | const FbxCharacterLink & | pCharacterLink | ) |

Assignment operation.

Parameters:

  pCharacterLink | Another FbxCharacterLink object assigned to this one.

void Reset | ( |  | ) |

Search for all occurrences

Reset to default values.

## Member Data Documentation

FbxNode* mNode

Search for all occurrences

Definition at line 62 of file fbxcharacter.h.

FbxString mTemplateName

Search for all occurrences

The character's node in hierarchy linked to this character link.

Definition at line 63 of file fbxcharacter.h.

FbxVector4 mOffsetT

Search for all occurrences

A template name is a naming convention that is used to automatically map the nodes of other skeletons that use the same naming convention.

Definition at line 64 of file fbxcharacter.h.

FbxVector4 mOffsetR

Search for all occurrences

Get offset position of this character link.

Definition at line 65 of file fbxcharacter.h.

FbxVector4 mOffsetS

Search for all occurrences

Get offset rotation of this character link.

Definition at line 66 of file fbxcharacter.h.

FbxVector4 mParentROffset

Search for all occurrences

Get offset scale of this character link.

Definition at line 67 of file fbxcharacter.h.

bool mHasRotSpace

Search for all occurrences

Get the parent offset rotation of this character link.

Definition at line 68 of file fbxcharacter.h.

FbxLimits mRLimits

Search for all occurrences

`true` if this character link has a defined rotation space

Definition at line 69 of file fbxcharacter.h.

FbxVector4 mPreRotation

Search for all occurrences

Get the rotation limits of this character link.

Definition at line 70 of file fbxcharacter.h.

FbxVector4 mPostRotation

Search for all occurrences

Get the PreRotation of this character link.

Definition at line 71 of file fbxcharacter.h.

int mRotOrder

Search for all occurrences

Get the PostRotation of this character link.

Definition at line 72 of file fbxcharacter.h.

double mAxisLen

Search for all occurrences

Get the rotation order of this character link.

Definition at line 73 of file fbxcharacter.h.

FbxProperty mPropertyLink

Search for all occurrences

Get the axis length of this character link.

Definition at line 84 of file fbxcharacter.h.

FbxProperty mPropertyOffsetT

Search for all occurrences

Definition at line 85 of file fbxcharacter.h.

FbxProperty mPropertyOffsetR

Search for all occurrences

Definition at line 86 of file fbxcharacter.h.

FbxProperty mPropertyOffsetS

Search for all occurrences

Definition at line 87 of file fbxcharacter.h.

FbxProperty mPropertyParentOffsetR

Search for all occurrences

Definition at line 88 of file fbxcharacter.h.

FbxProperty mPropertyTemplateName

Search for all occurrences

Definition at line 89 of file fbxcharacter.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/constraint/fbxcharacter.h

FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink
FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink FbxCharacterLink